'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var reactRouterDom = require('react-router-dom');
var reactHelmet = require('react-helmet');
var baseIntegration = require('@component-controls/base-integration');
var store = require('@component-controls/base-integration/store');
var routes = require('@component-controls/routes');
var tslib = require('tslib');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const ReactRouterLink = (_a) => {
    var { href = '', children } = _a, props = tslib.__rest(_a, ["href", "children"]);
    return (React__default['default'].createElement(reactRouterDom.Link, Object.assign({ to: href }, props), children));
};

const ControlsPage = (props) => {
    const DocHome = () => (React__default['default'].createElement(baseIntegration.Layout, Object.assign({}, props, { store: store.store, Helmet: reactHelmet.Helmet, Link: ReactRouterLink })));
    return DocHome;
};
const useRoutes = () => {
    const routes$1 = React.useMemo(() => {
        const paths = routes.getRoutes(store.store);
        const routes$1 = paths.map(props => (React__default['default'].createElement(reactRouterDom.Route, { key: props.path, exact: true, path: props.path, component: ControlsPage(props) })));
        return routes$1;
    }, []);
    return routes$1;
};

exports.ControlsPage = ControlsPage;
exports.useRoutes = useRoutes;
