import path from 'path';
import fs from 'fs';
import { getSiteMap } from '@component-controls/routes';
import { loadStore } from '@component-controls/store';
import { log } from '@component-controls/logger';
import { searchIndexing } from '@component-controls/webpack-compile';

const postBuild = async (staticFolder, loadingStore) => {
    if (loadingStore) {
        const store = loadStore(loadingStore, true);
        if (process.env.NODE_ENV === 'production') {
            if (store.config.siteMap) {
                const sitemap = getSiteMap(store);
                const sitemapfolder = path.resolve(staticFolder, '..');
                if (!fs.existsSync(sitemapfolder)) {
                    fs.mkdirSync(sitemapfolder, { recursive: true });
                }
                const sitemapname = path.join(sitemapfolder, 'sitemap.xml');
                log('creating sitemap', sitemapname);
                fs.writeFileSync(sitemapname, sitemap, 'utf8');
            }
            await searchIndexing(store);
        }
    }
};

export { postBuild };
